using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MenuProcess : BackButton
{
    [SerializeField] GameObject menuWindow;
    [SerializeField] GameObject graphAdderWindow;
    [SerializeField] GameObject axisOptionWindow;
    [SerializeField] GameObject plotSpace;
    [SerializeField] float nearSetRate;

    public void pressedAddNewGraphButton()
    {
        base.anotherButtonAction();
        graphAdderWindow.GetComponent<GraphAdderWindow>().Initialize(new GraphData(),-1);
        graphAdderWindow.SetActive(true);
    }

    public void pressedAxisSettingButton()
    {
        base.anotherButtonAction();
        axisOptionWindow.SetActive(true);
    }

    //–¢Žg—p
    public void pressedPutInFrontOfCameraButton()
    {
        Camera cam = Camera.main;

        plotSpace.transform.position = cam.transform.position + cam.transform.forward * nearSetRate;
    }

}
